<?php
add_action('after_setup_theme', 'nijmegan_bunch_theme_setup');
function nijmegan_bunch_theme_setup()
{
	global $wp_version;
	if(!defined('NIJMEGAN_VERSION')) define('NIJMEGAN_VERSION', '1.0');
	if( !defined( 'NIJMEGAN_ROOT' ) ) define('NIJMEGAN_ROOT', get_template_directory().'/');
	if( !defined( 'NIJMEGAN_URL' ) ) define('NIJMEGAN_URL', get_template_directory_uri().'/');	
	include_once get_template_directory() . '/includes/loader.php';
	
	
	load_theme_textdomain('nijmegan', get_template_directory() . '/languages');
	
	//ADD THUMBNAIL SUPPORT
	add_theme_support('post-thumbnails');
	add_theme_support('woocommerce');
	add_theme_support('automatic-feed-links'); //Enables post and comment RSS feed links to head.
	add_theme_support('widgets'); //Add widgets and sidebar support
	add_theme_support( "title-tag" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'editor-styles' );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
	/** Register wp_nav_menus */
	if(function_exists('register_nav_menu'))
	{
		register_nav_menus(
			array(
				/** Register Main Menu location header */
				'main_menu' => esc_html__('Main Menu', 'nijmegan'),
			)
		);
	}
	if ( ! isset( $content_width ) ) $content_width = 960;
	add_image_size( 'nijmegan_370x239', 370, 239, true ); // '370x239 Our Services'
	add_image_size( 'nijmegan_314x471', 314, 471, true ); // '314x471 Our Team'
	add_image_size( 'nijmegan_447x564', 447, 564, true ); // '447x564 Recent Project'
	add_image_size( 'nijmegan_370x252', 370, 252, true ); // '370x252 Recent Project 2'
	add_image_size( 'nijmegan_384x441', 384, 441, true ); // '384x441 Recent Project 3'
	add_image_size( 'nijmegan_82x82', 80, 82, true ); // '82x82 Our Testimonial'
	add_image_size( 'nijmegan_178x178', 178, 178, true ); // '178x178 Latest News'
	add_image_size( 'nijmegan_370x256', 370, 256, true ); // '370x256 Latest News 2'
	add_image_size( 'nijmegan_69x69', 69, 69, true ); // '69x69 Popular Post'
	add_image_size( 'nijmegan_268x165', 268, 165, true ); // '268x165 Gallery Widgets'
	add_image_size( 'nijmegan_83x83', 83, 83, true ); // '83x83 Gallery Two Widgets'
}

function nijmegan_gutenberg_editor_palette_styles() {
    add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'strong yellow', 'nijmegan' ),
            'slug' => 'strong-yellow',
            'color' => '#f7bd00',
        ),
        array(
            'name' => esc_html__( 'strong white', 'nijmegan' ),
            'slug' => 'strong-white',
            'color' => '#fff',
        ),
		array(
            'name' => esc_html__( 'light black', 'nijmegan' ),
            'slug' => 'light-black',
            'color' => '#242424',
        ),
        array(
            'name' => esc_html__( 'very light gray', 'nijmegan' ),
            'slug' => 'very-light-gray',
            'color' => '#797979',
        ),
        array(
            'name' => esc_html__( 'very dark black', 'nijmegan' ),
            'slug' => 'very-dark-black',
            'color' => '#000000',
        ),
    ) );
	
	add_theme_support( 'editor-font-sizes', array(
		array(
			'name' => esc_html__( 'Small', 'nijmegan' ),
			'size' => 10,
			'slug' => 'small'
		),
		array(
			'name' => esc_html__( 'Normal', 'nijmegan' ),
			'size' => 15,
			'slug' => 'normal'
		),
		array(
			'name' => esc_html__( 'Large', 'nijmegan' ),
			'size' => 24,
			'slug' => 'large'
		),
		array(
			'name' => esc_html__( 'Huge', 'nijmegan' ),
			'size' => 36,
			'slug' => 'huge'
		)
	) );
	
}
add_action( 'after_setup_theme', 'nijmegan_gutenberg_editor_palette_styles' );

function nijmegan_bunch_widget_init()
{
	global $wp_registered_sidebars;
	$theme_options = _WSH()->option();
	
	register_sidebar(array(
	  'name' => esc_html__( 'Default Sidebar', 'nijmegan' ),
	  'id' => 'default-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'nijmegan' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h2>',
	  'after_title' => '</h2></div>'
	));
	register_sidebar(array(
	  'name' => esc_html__( 'Footer Sidebar', 'nijmegan' ),
	  'id' => 'footer-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown in Footer Area.', 'nijmegan' ),
	  'before_widget'=>'<div class="footer-column col-md-3 col-sm-6 col-xs-12"><div id="%1$s"  class="footer-widget %2$s">',
	  'after_widget'=>'</div></div>',
	  'before_title' => '<h2>',
	  'after_title' => '</h2>'
	));
	
	register_sidebar(array(
	  'name' => esc_html__( 'Blog Listing', 'nijmegan' ),
	  'id' => 'blog-sidebar',
	  'description' => esc_html__( 'Widgets in this area will be shown on the right-hand side.', 'nijmegan' ),
	  'before_widget'=>'<div id="%1$s" class="widget sidebar-widget %2$s">',
	  'after_widget'=>'</div>',
	  'before_title' => '<div class="sidebar-title"><h2>',
	  'after_title' => '</h2></div>'
	));
	if( !is_object( _WSH() )  )  return;
	$sidebars = nijmegan_set(nijmegan_set( $theme_options, 'dynamic_sidebar' ) , 'dynamic_sidebar' ); 
	foreach( array_filter((array)$sidebars) as $sidebar)
	{
		if(nijmegan_set($sidebar , 'topcopy')) continue ;
		
		$name = nijmegan_set( $sidebar, 'sidebar_name' );
		
		if( ! $name ) continue;
		$slug = nijmegan_bunch_slug( $name ) ;
		
		register_sidebar( array(
			'name' => $name,
			'id' =>  sanitize_title( $slug ) ,
			'before_widget' => '<div id="%1$s" class="side-bar sidebar-widget %2$s">',
			'after_widget' => "</div>",
			'before_title' => '<div class="sidebar-title"><h2>',
			'after_title' => '</h2></div>',
		) );		
	}
	
	update_option('wp_registered_sidebars' , $wp_registered_sidebars) ;
}
add_action( 'widgets_init', 'nijmegan_bunch_widget_init' );
// Update items in cart via AJAX
function nijmegan_load_head_scripts() {
	$options = _WSH()->option();
    if ( !is_admin() ) {
		$protocol = is_ssl() ? 'https://' : 'http://';
		if(nijmegan_set($options, 'map_api_key')){
		$map_path = '?key='.nijmegan_set($options, 'map_api_key');
		wp_enqueue_script( 'map-api', ''.$protocol.'maps.google.com/maps/api/js'.$map_path, array(), false, false );
		wp_enqueue_script( 'jquery-googlemap', get_template_directory_uri().'/js/jquery.gmap.js', array(), false, false );
		}
	}
}
add_action( 'wp_enqueue_scripts', 'nijmegan_load_head_scripts' );
//global variables
function nijmegan_bunch_global_variable() {
    global $wp_query;
}

function nijmegan_enqueue_scripts() {
	$options = _WSH()->option();
    //styles
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css' );
	wp_enqueue_style( 'gui', get_template_directory_uri() . '/css/gui.css' );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css' );
	wp_enqueue_style( 'flaticon', get_template_directory_uri() . '/css/flaticon.css' );
	wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css' );
	wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/css/owl.css' );
	wp_enqueue_style( 'fancybox', get_template_directory_uri() . '/css/jquery.fancybox.css' );
	wp_enqueue_style( 'hover', get_template_directory_uri() . '/css/hover.css' );
	wp_enqueue_style( 'nijmegan-main-style', get_stylesheet_uri() );
	wp_enqueue_style( 'nijmegan-custom-style', get_template_directory_uri() . '/css/custom.css' );
	wp_enqueue_style( 'nijmegan-gutenberg-style', get_template_directory_uri() . '/css/gutenberg.css' );
	wp_enqueue_style( 'nijmegan-responsive', get_template_directory_uri() . '/css/responsive.css' );
	if(class_exists('woocommerce')) wp_enqueue_style( 'nijmegan-woocommerce', get_template_directory_uri() . '/css/woocommerce.css' );
	
	
	
    //scripts
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script( 'gui_script', 'http://code.jquery.com/ui/1.11.4/jquery-ui.js', array(), false, true );
	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array(), false, true );
	wp_enqueue_script( 'fancybox-pack', get_template_directory_uri().'/js/jquery.fancybox.pack.js', array(), false, true );
	wp_enqueue_script( 'fancybox-media', get_template_directory_uri().'/js/jquery.fancybox-media.js', array(), false, true );
	wp_enqueue_script( 'owl', get_template_directory_uri().'/js/owl.js', array(), false, true );
	wp_enqueue_script( 'wow', get_template_directory_uri().'/js/wow.js', array(), false, true );
	wp_enqueue_script( 'appear', get_template_directory_uri().'/js/appear.js', array(), false, true );
	if(nijmegan_set($options, 'map_api_key')){
	wp_enqueue_script( 'map-script', get_template_directory_uri().'/js/map-script.js', array(), false, true );
	}
	wp_enqueue_script( 'nijmegan-main-script', get_template_directory_uri().'/js/script.js', array(), false, true );
	if( is_singular() ) wp_enqueue_script('comment-reply');
	
}
add_action( 'wp_enqueue_scripts', 'nijmegan_enqueue_scripts' );

/*-------------------------------------------------------------*/
function nijmegan_theme_slug_fonts_url() {
    $fonts_url = '';
 
    /* Translators: If there are characters in your language that are not
    * supported by Lora, translate this to 'off'. Do not translate
    * into your own language.
    */
    $lato = _x( 'on', 'Lato Script: on or off', 'nijmegan' );
	$raleway = _x( 'on', 'Raleway font: on or off', 'nijmegan' );
	
    if ( 'off' !== $lato || 'off' !== $raleway ) {
        $font_families = array();
 
        if ( 'off' !== $lato ) {
            $font_families[] = 'Lato:100,100i,300,300i,400,400i,700,700i,900,900i';
        }
		
		if ( 'off' !== $raleway ) {
            $font_families[] = 'Raleway:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i';
        }
 
        $opt = get_option('nijmegan'.'_theme_options');
		if ( nijmegan_set( $opt, 'body_custom_font' ) ) {
			if ( $custom_font = nijmegan_set( $opt, 'body_font_family' ) )
				$font_families[] = $custom_font . ':300,300i,400,400i,600,700';
		}
		if ( nijmegan_set( $opt, 'use_custom_font' ) ) {
			$font_families[] = nijmegan_set( $opt, 'h1_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = nijmegan_set( $opt, 'h2_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = nijmegan_set( $opt, 'h3_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = nijmegan_set( $opt, 'h4_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = nijmegan_set( $opt, 'h5_font_family' ) . ':300,300i,400,400i,600,700';
			$font_families[] = nijmegan_set( $opt, 'h6_font_family' ) . ':300,300i,400,400i,600,700';
		}
		$font_families = array_unique( $font_families);
        
		$query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
 
        $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
    }
 
    return esc_url_raw( $fonts_url );
}
function nijmegan_theme_slug_scripts_styles() {
    wp_enqueue_style( 'nijmegan-theme-slug-fonts', nijmegan_theme_slug_fonts_url(), array(), null );
}
add_action( 'wp_enqueue_scripts', 'nijmegan_theme_slug_scripts_styles' );
/*---------------------------------------------------------------------*/
function nijmegan_add_editor_styles() {
    add_editor_style( 'editor-style.css' );
}
add_action( 'admin_init', 'nijmegan_add_editor_styles' );
/**
 * WooCommerce Extra Feature
 * --------------------------
 *
 * Change number of related products on product page
 * Set your own value for 'posts_per_page'
 *
 */ 
function nijmegan_woo_related_products_limit() {
  global $product;
	
	$args['posts_per_page'] = 6;
	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'nijmegan_jk_related_products_args' );
  function nijmegan_jk_related_products_args( $args ) {
	$args['posts_per_page'] = 3; // 4 related products
	$args['columns'] = 3; // arranged in 2 columns
	return $args;
}