<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * Override this template by copying it to yourtheme/woocommerce/content-single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php
	/**
	 * woocommerce_before_single_product hook
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
?>

<div id="product-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="shop-single">
        <div class="product-details">
            <div class="basic-details row clearfix">
                <div class="image-column col-md-6 col-sm-6 col-xs-12">
                    <figure class="image-box">
						<?php
                            /**
                             * woocommerce_before_single_product_summary hook
                             *
                             * @hooked woocommerce_show_product_sale_flash - 10
                             * @hooked woocommerce_show_product_images - 20
                             */
                            do_action( 'woocommerce_before_single_product_summary' );
                        ?>
                	</figure>
                </div>
	
                <div class="info-column col-md-6 col-sm-6 col-xs-12">
            
                    <?php
                        /**
                         * woocommerce_single_product_summary hook
                         *
                         * @hooked woocommerce_template_single_title - 5
                         * @hooked woocommerce_template_single_rating - 10
                         * @hooked woocommerce_template_single_price - 10
                         * @hooked woocommerce_template_single_excerpt - 20
                         * @hooked woocommerce_template_single_add_to_cart - 30
                         * @hooked woocommerce_template_single_meta - 40
                         * @hooked woocommerce_template_single_sharing - 50
                         */
                        do_action( 'woocommerce_single_product_summary' );
                    ?>
                    
                    <div class="details-header">
                        <?php woocommerce_template_single_title();?>
                        <div class="rating">
                            <?php woocommerce_template_single_rating();?>
                        </div>
                        <div class="item-price"><?php woocommerce_template_single_price();?></div>
                    </div>
					<div class="text">
                        <?php woocommerce_template_single_excerpt();?>
                    </div>

                    <div class="other-options clearfix">
                        <?php woocommerce_template_single_add_to_cart();?>
                    </div>

                    <!--Item Meta-->
                    <ul class="item-meta">
                        <li><?php woocommerce_template_single_meta(); ?></li>
                    </ul>
            
                </div><!-- .summary -->
			</div>
		</div>
    </div>
	
	<?php
		/**
		 * woocommerce_after_single_product_summary hook
		 *
		 * @hooked woocommerce_output_product_data_tabs - 10
		 * @hooked woocommerce_upsell_display - 15
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>

	<meta itemprop="url" content="<?php echo esc_url(get_permalink(get_the_id())); ?>" />

</div><!-- #product-<?php the_ID(); ?> -->

<?php do_action( 'woocommerce_after_single_product' ); ?>
